use crate::{codegen::SvgDocument, types::nodes::standard_input::StandardInput};

#[test]
fn test_simple_blur() {
    let mut doc = SvgDocument::new();
    let blur = doc.create_filter("blur");

    blur.gaussian_blur_xy(StandardInput::SourceGraphic, 30, 30);
    assert_eq!(
        doc.generate_svg(),
        r#"<svg><filter id="blur"><feGaussianBlur stdDeviation="30 30" in="SourceGraphic"/></filter></svg>"#
    );
}
